QGIS Application - Bug report #21666
crash unload plugins on exit
2019-03-25 05:30 AM - Dimuthu Wickramasinghe

Status: Feedback
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:3.4.0
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29482

Description

User Feedback

Report Details

Crash ID: 2158b01196452b8cf079fabd6f476862ce1a56f9

Stack Trace

QDockWidget::toggleViewAction :
QgisApp::removeDockWidget :
QgsPresetSchemeColorRamp::clone :
PyCFunction_FastCallDict :
PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :
PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :
PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :
PyErr_Occurred :
PyEval_EvalCode :
PyArena_Free :
PyRun_StringFlags :

instance :

instance :
QgsPluginRegistry::unloadAll :
QgisApp::saveWindowState :
QMetaObject::activate :
QCoreApplicationPrivate::execCleanup :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2019-03-25 08:20 AM - Nyall Dawson
- Status changed from Open to Feedback

This is caused by a faulty plugin - try a clean profile with no plugins installed.

#2 - 2019-03-27 10:53 AM - Jiirgen Fischer
- Subject changed from Crash ID*: 2158b01f96452b8cf079fabd6f476862ce1a56f9 to crash unload plugins on exit
